Page MenuHomePhabricator

Regression: interstitial page with PayPal even when the amount is good.
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  • Visit donate.wmo
  • Select a value
  • Click "PayPal"

You will see an interstitial page, which should only happen if something is wrong and needs to be corrected.

Event Timeline

awight created this task.Mar 14 2015, 1:22 AM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2015, 1:22 AM
Pcoombe added a comment.EditedMar 16 2015, 8:05 PM

Ah, you beat me to it. This is also happening when donating from banners. I can't tell when this started, but nothing has changed in banners or donatewiki recently which should have affected this.

I'm pretty sure this was caused by a refactor I did of the DonationInterface forms layer, deployed Mar 12. CC'ing @MeganHernandez_WMF, this is almost certainly decreasing PP conversion rates.

atgo added a comment.Mar 16 2015, 8:15 PM

It's probably coming from the DI deploy last week. We'll look into it ASAP

atgo set Security to None.Mar 18 2015, 11:09 PM
atgo edited a custom field.

Hey guys, We are holding off on extra Spanish tests & emails. An extra step is bad in general and that page is especially strange since the PayPal button isn't actually a button.

Any update if we can get rid of this? Maybe revert the change that caused this?

awight raised the priority of this task from High to Unbreak Now!.Mar 19 2015, 2:25 PM

Escalating the priority cos it's blocking the Spanish campaign.

Change 197946 had a related patch set uploaded (by Awight):
Respect "redirect" param if available

https://gerrit.wikimedia.org/r/197946

Change 197947 had a related patch set uploaded (by Awight):
Be more discriminating about the "redirect" param

https://gerrit.wikimedia.org/r/197947

Change 197950 had a related patch set uploaded (by Awight):
Hardcode PayPal gateway to always redirect, if possible

https://gerrit.wikimedia.org/r/197950

Change 197946 merged by jenkins-bot:
Respect "redirect" param if available

https://gerrit.wikimedia.org/r/197946

Change 197947 merged by jenkins-bot:
Be more discriminating about the "redirect" param

https://gerrit.wikimedia.org/r/197947

Change 197950 merged by jenkins-bot:
Hardcode PayPal gateway to always redirect, if possible

https://gerrit.wikimedia.org/r/197950

Change 197973 had a related patch set uploaded (by Awight):
Test that we are skipping the PP interstitial

https://gerrit.wikimedia.org/r/197973

atgo closed this task as Resolved.Mar 19 2015, 10:57 PM

Change 197973 merged by jenkins-bot:
Test that we are skipping the PP interstitial

https://gerrit.wikimedia.org/r/197973

atgo removed a subscriber: atgo.Mar 30 2016, 10:03 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJun 22 2017, 9:44 PM